# bson_md5_t

BSON MD5 Abstraction

## Deprecated

All MD5 APIs are deprecated in libbson.

## Synopsis

    typedef struct {
       uint32_t count[2]; /* message length in bits, lsw first */
       uint32_t abcd[4];  /* digest buffer */
       uint8_t buf[64];   /* accumulate block */
    } bson_md5_t;

## Description

bson_md5_t encapsulates an implementation of the MD5 algorithm.

## Functions

- bson_md5_append()
- bson_md5_finish()
- bson_md5_init()